Bug 140146 - Kernel panic on boot right after nash starts and attempt to mount root
Kernel panic on boot right after nash starts and attempt to mount root
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-20 01:16 EST by Jerry
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-20 01:32:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry 2004-11-20 01:16:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
During an upgarde from FC2 to FC3 experianced this problem.  I did a
clean install and the problem went away and I am able to boot
kernel-2.6.9-1.667 fine now.  See PR#139143 for initial bug.

Then I updated to 2.6.9-1.678 and the similar problem occurs.  Here is
hand recorded messages.

Red Hat nash version 4.1.18 Starting
Mounted /proc filesystem
Mounting sysfs
Creating /dev
Starting udev
Loading jdb.ko module
Loading ext3.ko module
Creating root device
mkrootdev: label / not found
Mounting root filesystem
mount: error 2 mounting ext3
mount: error 2 mounting none
Switching to new root
Switchroot: mount failed: 2 2
umount /initrd/dev failed: 2
Kernel panic - not syncing: Attempted to kill init!

Version-Release number of selected component (if applicable):
2.6.9-1.678_FC3smp

How reproducible:
Always

Steps to Reproduce:
1. Try to boot new kernel

Actual Results:  Kernel panic

Expected Results:  Should boot clean

Additional info:  Am using SATA drive

Here is listing of modprobe.conf:

alias eth0 e100
alias scsi_hostadapter ata_piix
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
install snd-intel8x0 /sbin/modprobe --ignore-install snd-intel8x0 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-intel8x0 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ;
}; /sbin/modprobe -r --ignore-remove snd-intel8x0
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
Comment 1 Jerry 2004-11-20 01:23:02 EST
The only chnage between the working system and the one that panics is
I installed the new kernel RPM.  Downloade RPM to local drive and used
yum install kernel-smp-2.6.9-1.678_FC3.i686.rpm

Using grub for bootloader.
Comment 2 Dave Jones 2004-11-20 01:32:32 EST
fixed up in latest errata kernel (in testing repo right now, will be in
updates-proper tomorrow).
Comment 3 Rob Hughes 2004-11-21 13:49:40 EST
If that kernel version is 2.6.9-1.691, the probolem is still occurring
for me. So far, I haven't been able to boot any kernel from FC3 after
the upgrade. I'm currently limping along on the 2.6.8 from FC2.
Comment 4 Jerry 2004-11-21 19:30:33 EST
I can confirm that kernel-2.6.9-1.681_FC3smp downloaded from updates
test resolves this issue on my computer.  I suspect maybe Rob is
having a differnt problem?  I had to do a clean install of FC3 to
clear up the problem that I had when just upgrading from FC2 to FC3. 
In that case the FC2 kernel would boot fine but the new FC3 would not.

Note You need to log in before you can comment on or make changes to this bug.